/* 
   (c) Copyright 2001-2002  convergence integrated media GmbH.
   (c) Copyright 2002-2005  convergence GmbH.

   All rights reserved.

   Written by Denis Oliver Kropp <dok@directfb.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the
   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

/**
 * @brief  This file contains definitions for the LiTE font interface.
 *
 * @file font.h
 * <hr>
 **/
#ifndef __LITE__FONT_H__
#define __LITE__FONT_H__

#include <directfb.h>

#include "box.h"

#define LITE_FONT(l) ((LiteFont*)(l))

typedef enum {
  LITE_FONT_PLAIN  = 0,
  LITE_FONT_BOLD   = 1,
  LITE_FONT_ITALIC = 2
} LiteFontStyle;

typedef struct _LiteFont LiteFont;

#define DEFAULT_FONT_ATTRIBUTE DFFA_NONE

DFBResult  lite_get_font(const char *spec, LiteFontStyle style, int size, 
                             DFBFontAttributes attr, LiteFont **font);

DFBResult  lite_get_font_from_file(const char *file, int size, DFBFontAttributes attr, LiteFont **font);

DFBResult  lite_release_font(LiteFont *font);

DFBResult  lite_font(LiteFont *font, IDirectFBFont **dfb_font);

DFBResult lite_set_active_font (LiteBox *box, LiteFont *font);

DFBResult lite_get_active_font (LiteBox *box, LiteFont **font);


#endif
