/* 
   (c) Copyright 2001-2002  convergence integrated media GmbH.
   (c) Copyright 2002-2005  convergence GmbH.

   All rights reserved.

   Written by Denis Oliver Kropp <dok@directfb.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the
   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef __LITE__LABEL_H__
#define __LITE__LABEL_H__

#include "box.h"
#include "font.h"

#define LITE_LABEL(l) ((LiteLabel*)(l))

typedef enum {
  LITE_LABEL_LEFT,
  LITE_LABEL_RIGHT,
  LITE_LABEL_CENTER
} LiteLabelAlignment;

typedef struct _LiteLabel LiteLabel;


LiteLabel *lite_new_label           (LiteBox            *parent,
                                     int                 x,
                                     int                 y,
                                     int                 width,
                                     int                 font_size);


DFBResult lite_set_label_text      (LiteLabel          *label,
                                    const char         *text);

DFBResult lite_set_label_alignment (LiteLabel          *label,
                                    LiteLabelAlignment  aligment);

DFBResult lite_set_label_font      (LiteLabel          *label,
                                    const char         *spec,
                                    LiteFontStyle       style,
                                    int                 size,
                                    DFBFontAttributes   attr);

DFBResult lite_set_label_color     (LiteLabel          *label,
                                    DFBColor           *color);

#endif /*  __LITE__LABEL_H__  */
